Subject: bug#41235: closed (Re: bug#41235: guix deploy can't deploy with a user different than root)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Jan 2022 07:14:02 +0000

Your bug report

#41235: guix deploy can't deploy with a user different than root

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41235: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41235
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41235: guix deploy can't deploy with a user different than root
From: Brice Waegeneire <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jan 2022 08:13:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Brice Waegeneire <[email-masked]> writes:

> When trying to reproduce another “guix deploy” bug for a future bug 
> report
> I stumbled upon this one: it's not possible to deploy as a user
> (machine-ssh-configuration-user) different than “root“, even with a
> properly configured sudoers file[0]. Deploying with root works when ssh 
> is
> configured with “PermitRootLogin yes”.

[...]

This isn't the case anymore.  I can now use "guix deploy" with a user having
passwordless sudo right, as documented in the manual.

Cheers,
- Brice

Subject: guix deploy can't deploy with a user different than root
From: Brice Waegeneire <[email-masked]>
To: [email-masked]
Date: Wed, 13 May 2020 15:29:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

When trying to reproduce another “guix deploy” bug for a future bug 
report
I stumbled upon this one: it's not possible to deploy as a user
(machine-ssh-configuration-user) different than “root“, even with a
properly configured sudoers file[0]. Deploying with root works when ssh 
is
configured with “PermitRootLogin yes”. Following is the backtrace:

--8<---------------cut here---------------start------------->8---
$ guix deploy -Lmodules systems/hystou-p04.scm
guix deploy: warning: failed to load '(config workstation)':
no code for module (gnu services lightdm)
The following 1 machine will be deployed:
   abricot

guix deploy: deploying to abricot...
sending 0 store items (0 MiB) to '192.168.10.10'...
Backtrace:
In guix/ui.scm:
   1936:12 19 (run-guix-command _ . _)
In guix/status.scm:
     776:4 18 (call-with-status-report _ _)
In ice-9/boot-9.scm:
   1736:10 17 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
    630:22 16 (thunk)
    1295:8 15 (call-with-build-handler _ _)
    1295:8 14 (call-with-build-handler #<procedure 7fe8ee3bc120 at g…> …)
In guix/scripts/deploy.scm:
    155:12 13 (_)
In guix/store.scm:
    1336:2 12 (map/accumulate-builds #<store-connection 256.99 7fe8e…> …)
In srfi/srfi-1.scm:
    586:17 11 (map1 (#<<unresolved> things: (("/gnu/store/x32cnfkd50…>))
In guix/store.scm:
    1295:8 10 (call-with-build-handler #<procedure build-accumulator…> …)
In guix/scripts/deploy.scm:
     123:2  9 (_ _)
In ice-9/boot-9.scm:
   1736:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/deploy.scm:
     133:4  7 (_)
In guix/store.scm:
   2015:24  6 (run-with-store #<store-connection 256.99 7fe8ee3a75f0> …)
In gnu/machine/ssh.scm:
     416:2  5 (_ _)
     316:2  4 (_ _)
In guix/remote.scm:
    138:10  3 (_ _)
In guix/store.scm:
   1886:38  2 (_ #<store-connection 256.99 7fe8ee7dba50>)
In ice-9/boot-9.scm:
   1669:16  1 (raise-exception _ #:continuable? _)
   1667:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1667:16: In procedure raise-exception:
ERROR:
   1. &store-protocol-error:
       message: "unknown error while sending files over SSH"
       status: 44
--8<---------------cut here---------------end--------------->8---

[0]: 
https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix-deploy.html#Invoking-guix-deploy

- Brice